<?php

namespace app\common\validate;

use think\Validate;

class VoteValidate extends Validate
{
    protected $rule = [
        'title'      => 'require',
        'option'     => 'require',
        'content'    => 'require',
        'start_time' => 'require',
        'end_time'   => 'require',
    ];

    protected $message = [
        'title'      => '标题不能为空',
        'option'     => '选项不能为空',
        'content'    => '内容不能为空',
        'start_time' => '开始时间不能为空',
        'end_time'   => '结束时间不能为空',
    ];

}