<?php

namespace app\common\model;

class VoteApplyModel extends BaseModel
{
    // 设置表名
    protected $name = 'vote_apply';

    //自动完成
    protected $autoWriteTimestamp = true;

    public function User()
    {
        return $this->hasOne(UserModel::class, "id", "user_id");
    }

    public function Vote()
    {
        return $this->hasOne(VoteModel::class, "id", "vote_id");
    }
}