<?php

namespace app\common\model;

class VoteModel extends BaseModel
{
    // 设置表名
    protected $name = 'vote';

    //自动完成
    protected $autoWriteTimestamp = true;

    // 设置字段自动转换类型
    protected $type = [
        'start_time' => 'timestamp:Y-m-d H:i:s',
        'end_time'   => 'timestamp:Y-m-d H:i:s',
        'option'     => 'array',
    ];

}