<?php

namespace app\common\validate;

use think\Validate;

class AdminValidate extends Validate
{
    protected $rule = [
        'admin_name' => 'require|unique:admin',
        'mobile'    => 'mobile',
    ];

    protected $message = [
        'admin_name.require' => '登录名不能为空',
        'admin_name.unique'  => '登录名不能重复',
        'mobile.mobile'     => '手机号格式不正确',
    ];

}