<?php

namespace app\common\validate;

use think\Validate;

class ArticleCateValidate extends Validate
{
    protected $rule = [
        'title'    => 'require',
        'priority' => 'require|number',
    ];

    protected $message = [
        'title'            => '分类名称不能为空',
        'priority.require' => '排序不能为空',
        'priority.number'  => '排序必须是数字',
    ];

}