<?php

namespace app\common\validate;

use think\Validate;

class NoticeValidate extends Validate
{
    protected $rule = [
        'title'   => 'require',
        'content' => 'require',
        'status'  => 'require',
    ];

    protected $message = [
        'title'           => '标题不能为空',
        'content'         => '内容不能为空',
        'status'          => '请选择状态',
    ];

}