<?php
namespace app\mobile;

use app\BaseController;

/**
 * 控制器基础类
 */
abstract class MobileBaseController extends BaseController
{
    // 初始化
    protected function initialize()
    {}



    /**
     * 等于条件
     */
    protected function dealEqualInput($equal_array,$result=[])
    {
        foreach ($equal_array as $k => $v) {
            if (!is_numeric($k)) {
                $value = input($k);
            } else {
                $value = input($v);
            }
            if (!empty($value)) {
                $result[] = [$v, '=', $value];
            }
        }

        return $result;
    }

    /**
     * like条件
     */
    protected function dealLikeInput($like_array,$result=[])
    {
        foreach ($like_array as $k => $v) {
            if (!is_numeric($k)) {
                $value = input($k);
            } else {
                $value = input($v);
            }
            if (!empty($value)) {
                $result[] = [$v, 'like', "%{$value}%"];
            }
        }

        return $result;
    }
}
