<?php
// 应用公共文件
function jump($msg = '', $url = null, $wait = 3)
{
    if (is_null($url)) {
        $url = 'javascript:history.back(-1);';
    } else {
        $url = "location.href = '" . url($url) . "'";
    }

    $result = [
        'msg'  => $msg,
        'url'  => $url,
        'wait' => $wait,
    ];

    $html = view('/public/jump', $result);
    throw new \think\exception\HttpResponseException($html);
}

function ajax_success($data)
{
    $res      = ['code' => 0, 'msg' => '成功', 'data' => $data];
    $response = \think\Response::create($res, 'json');
    throw new \think\exception\HttpResponseException($response);
}

function get_user_id()
{
    $sessionUserId = session('mobile.user.id');
    if (empty($sessionUserId)) {
        session('back_url',request()->url());
        $response = redirect('/mobile/login/login');
        throw new \think\exception\HttpResponseException($response);
    }

    return $sessionUserId;
}

