app.component('vote-list', {
    template: `
    <div class="article-list">
        <article v-for="item in list" @click="toDetail(item.id)">
            <section class="s-left">
                <div class="s-title">{{item.title}}</div>
                <div class="s-time">{{item.start_time}} 至 {{item.end_time}}</div>
            </section>
        </article>
    </div>
    `,
    data() {
        return {}
    },
    props: {
        list: {
            type: Array,
            default: [],
        },
    },
    methods: {
        toDetail(id) {
            location.href = "/mobile/vote/detail.html?id=" + id;
        },
    },
});